(function($) {
    $.fn.reza_slider = function() {
        $(this).find('.rd-slider-options').each(function(index, block) {

            var data_slider = jQuery.parseJSON($(this).html());

             data_slider['onSliderLoad'] = function($el, scene) {

                if (jQuery().reza_auto_width) {
                    $(this).reza_auto_width();
                }
            };
            data_slider['onBeforeStart'] = function($el) {

                if (jQuery().reza_auto_width) {
                    $(this).reza_auto_width();
                }
            }
            if ($(this).parents('.rd-slider').find('.rd-item-list').hasClass('lightSlider')) {} else {
                if (jQuery().sao_lightSlider) {

                    $(this).parents('.rd-slider').find('.rd-item-list').sao_lightSlider(data_slider);
                }
            }
            if (jQuery().reza_auto_width) {
                $(this).reza_auto_width();
            }

        });
    }
}(jQuery));